Bug 961642 - Review Request: ubuntu-font-family - The fonts used in Ubuntu Linux
Summary: Review Request: ubuntu-font-family - The fonts used in Ubuntu Linux
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2013-05-10 07:18 UTC by K.Prasad
Modified: 2016-10-05 19:51 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-15 12:10:51 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1211154 None None None Never

Description K.Prasad 2013-05-10 07:18:30 UTC
Spec URL: http://kprasad.net/Fonts/ubuntu-font-family.spec
SRPM URL: http://kprasad.net/Fonts/ubuntu-font-family-0.80-1.fc18.src.rpm

Description: The Ubuntu Font Family are a set of matching new Libre/Open fonts. The development is being funded by Canonical on behalf the wider Free Software community and the Ubuntu project. The technical font design work and implementation is being undertaken by Dalton Maag.
More information at : http://font.ubuntu.com/about/

Note: This is my first build and I need a sponsor. (And I'm planning to package the fonts listed in Fonts wish-list :) )

Fedora Account System Username: kprasad

Koji scratch build : http://koji.fedoraproject.org/koji/taskinfo?taskID=5360119

Thanks,
Prasad.

Comment 1 K.Prasad 2013-05-10 07:39:29 UTC
Adding rpmlint output :

$rpmlint ../SRPMS/ubuntu-font-family-0.80-1.fc18.src.rpm 
ubuntu-font-family.src: W: invalid-license Ubuntu Font License, based on SIL OFL 1.1
ubuntu-font-family.src:51: W: mixed-use-of-spaces-and-tabs (spaces: line 51, tab: line 4)
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Comment 2 Antonio 2013-05-11 10:06:56 UTC
Hi.

"SIL Open Font License 1.1" is ok for Fedora but "Ubuntu font family" is not listed among appropriate licenses:

http://fedoraproject.org/wiki/Licensing:Main#Font_Licenses

Please, ask to Fedora Legal.

Comment 3 K.Prasad 2013-05-12 06:04:42 UTC
Thanks Antonio. I'll request them to review this license.

Comment 4 Tom "spot" Callaway 2013-05-13 14:59:23 UTC
The Ubuntu Font License is non-free.

It says:

  To "Propagate" a work means to do anything with it that, without
  permission, would make you directly or secondarily liable for
  infringement under applicable copyright law, except executing it on a
  computer or modifying a private copy.

The "except" items are use and modification restrictions. Since the
license only refers to "propogate", and never grants unrestricted use
or modification permissions, the license is non-free.

Canonical could fix this license by simply dropping "except executing
it on a computer or modifying a private copy".

Comment 5 K.Prasad 2013-05-15 07:28:36 UTC
Thanks for the review. 
So I guess this package cannot be included in Fedora repo.

Comment 6 Hans de Goede 2013-07-31 11:09:58 UTC
(In reply to K.Prasad from comment #5)
> Thanks for the review. 
> So I guess this package cannot be included in Fedora repo.

Or you could contact Ubuntu and ask them to fix the license.

Comment 7 Christopher Meng 2013-08-12 04:35:58 UTC
I will try contacting Ubuntu for a declaration.

Comment 9 Kevin Kofler 2015-06-12 00:50:54 UTC
The funny thing is that the offending definition is copied from the GPLv3. But sadly, out of the context of the GPLv3 (in particular, its "2. Basic Permissions" paragraph), the definition does not make sense. And unfortunately, that's exactly what this license does, it attempts using that definition in a BSD-style "Permission is granted, free of charge, …" clause. The hybrid does not fit together.

Comment 10 Tom "spot" Callaway 2015-06-14 18:59:32 UTC
I'm amused (and disappointed) that this bug has been open on Canonical's side for almost two years now.

Comment 11 Parag AN(पराग) 2015-08-15 12:10:51 UTC
Please feel free to reopen but for now, I am going to close this and any other review by this submitter based on https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews#Submitter_not_responding

Note for others, I have already ping package submitter on other bug but have not got any response.

Comment 12 Paul Sladen 2016-07-11 21:21:28 UTC
@spot: I didn't see this bug report before this evening.  My apologies on behalf of the Ubuntu project.  Anyone is most welcome to ping me directly, using any  of the normal methods.

Yes, as Kevin Kofler has noted the "Propagate" wording arrived directly at the suggestion of somebody extremely familiar with the GPLv3 drafting.  For the ease of anyone wanting to follow, a diff verses SIL OFL 1.1 is here:

  http://font.ubuntu.com/ufl/ofl-1.1-ufl-1.0.diff.html

UFL-1.0 in "Preamble" has "allows the licensed fonts to be used, studied, modified and redistributed freely"

GPLv3 in "Basic Permissions" has "You may make, run and propagate"

My understanding of the "executing it on a computer or modifying a private copy." (identical in GPLv3 and UFL-1.0) is to clearly differentiate local activities from intentional distribution (the propagation).

Those local activities being "make and run" (GPLv3); or "use, study, modify" (UFL-1.0).

Comment 13 Zbigniew Jędrzejewski-Szmek 2016-08-14 16:11:06 UTC
The _intent_ is clear in the preamble ("be used … and redistributed freely"), however "Permissions & Conditions" allows for "propagation" under specified terms, but doesn't directly allow _use_. So you're allowed to distribute the font, but there's no specific permission for the font to be used. This doesn't make much sense, and I doubt anyone could argue, because of the preamble, that you violate the copyright just by using the font, but indeed this should be fixed.

I don't think the suggested fix of dropping "except executing
it on a computer or modifying a private copy" is the best approach. Instead, it would imho be better to add a separate sentence at the beginning of Permissions&Conditions that use, study, and modification, without propagation, are not limited in any way.

Comment 14 Tom "spot" Callaway 2016-10-05 19:51:59 UTC
Arguably, the "best" approach would be to use a standard and recognized font license, like the SIL OFL, but I imagine that is unlikely to occur. This hybrid license is inconsistent, and the text does not reflect the intent.


Note You need to log in before you can comment on or make changes to this bug.